package cn.iocoder.yudao.module.ecw.enums;

import cn.iocoder.yudao.framework.common.exception.ErrorCode;

/**
 * Member 错误码枚举类
 * <p>
 * member 系统，使用 1-004-000-000 段
 */
public interface ErrorCodeConstants {

    ErrorCode CURRENCY_NOT_EXISTS = new ErrorCode(1004001002, "currency.not.exists");

    ErrorCode UNIT_NOT_EXISTS = new ErrorCode(1004001001, "unit.not.exists");

    ErrorCode DOCK_NOT_EXISTS = new ErrorCode(1004001003, "dock.not.exists");

    ErrorCode BANK_ACCOUNT_NOT_EXISTS = new ErrorCode(1004001004, "bank.account.not.exists");

    ErrorCode REGION_NOT_EXISTS = new ErrorCode(1004001005, "region.not.exists");

    ErrorCode NODE_NOT_EXISTS = new ErrorCode(1004001006, "node.not.exists");

    // ========== 配送管理 ==========
    ErrorCode EXPRESS_NOT_EXISTS = new ErrorCode(1004001007, "express.not.exists");

    ErrorCode PICKUP_LOC_NOT_EXISTS = new ErrorCode(1004001008, "pickup.loc.not.exists");

    ErrorCode WAREHOUSE_NOT_EXISTS = new ErrorCode(1004001009, "warehouse.not.exists");

    ErrorCode SUPPLIER_NOT_EXISTS = new ErrorCode(1004001010, "supplier.not.exists");


    ErrorCode ORDER_CODE_NOT_EXISTS = new ErrorCode(1004001011, "order.code.not.exists");


    ErrorCode CABINET_NOT_EXISTS = new ErrorCode(1004001012, "cabinet.not.exists");

    ErrorCode PRODUCT_TYPE_NOT_EXISTS = new ErrorCode(1004001013, "product.type.not.exists");
    ErrorCode PRODUCT_ATTR_NOT_EXISTS = new ErrorCode(1004001014, "product.attr.not.exists");
    ErrorCode PRODUCT_NOT_EXISTS = new ErrorCode(1004001015, "product.not.exists");

    ErrorCode CURRENCY_ECASH_NOT_EXISTS = new ErrorCode(1004001016, "currency.ecash.not.exists");

    ErrorCode ENTERPRISE_NOT_EXISTS = new ErrorCode(1004001017, "enterprise.not.exists");


    ErrorCode CHANNEL_NOT_EXISTS = new ErrorCode(1004001041, "channel.not.exists");
    ErrorCode CHANNEL_PRICE_NOT_NEGATIVE = new ErrorCode(1004001042, "channel.price.not.negative");
    ErrorCode CHANNEL_HAVE_PRODUCT_PRICE_CAN_NOT_DELETE = new ErrorCode(1004001043, "channel.have.product.price.can.not.delete");
    ErrorCode CHANNEL_HAVE_PRODUCT_PRICE_CAN_NOT_UPDATE_COUNTRY = new ErrorCode(1004001044, "channel.have.product.price.can.not.update.country");


    // ========== 重泡货管理 ==========
    ErrorCode ZHONG_PAO_NOT_EXISTS = new ErrorCode(1004002101, "zhong.pao.not.exists");
    ErrorCode ZHONG_PAO_LINE_CONFIG_EXISTS = new ErrorCode(1004002100, "zhong.pao.line.config.exists");

    // ========== 客户管理 ==========
    ErrorCode CUSTOMER_NOT_EXISTS = new ErrorCode(1004002002, "customer.not.exists");

    ErrorCode CUSTOMER_CONTACTS_NOT_EXISTS = new ErrorCode(1004002003, "customer.contacts.not.exists");
    ErrorCode CUSTOMER_CONTACTS_NO_DEFAULT = new ErrorCode(1004002004, "customer.contacts.no.default");
    ErrorCode CUSTOMER_CONTACTS_MULTI_DEFAULT = new ErrorCode(1004002005, "customer.contacts.multi.default");

    ErrorCode CUSTOMER_LINE_NOT_EXISTS = new ErrorCode(1004002006, "customer.line.not.exists");

    ErrorCode CUSTOMER_CONFIRM_NOT_EQUALS = new ErrorCode(1004002007, "customer.confirm.not.equals");
    ErrorCode CUSTOMER_DATA_STATUS_ERROR = new ErrorCode(1004002008, "customer.data.status.error");

    ErrorCode CUSTOMER_CATCH_ERROR = new ErrorCode(1004002108, "user.not.customer.service");
    ErrorCode CUSTOMER_CATCH_TIMES_MORE_THEN_THREE = new ErrorCode(1004002109, "customer.catch.times.more.then.three");
    ErrorCode PUBLIC_CATCH_LOG_NOT_EXISTS = new ErrorCode(1004002130, "public.catch.log.not.exists");
    ErrorCode CUSTOMER_OPEN_SEA_CAN_NOT_CATCH = new ErrorCode(1004002009, "customer.open.sea.can.not.catch");


    ErrorCode CUSTOMER_COMPLAINT_NOT_EXISTS = new ErrorCode(1004002010, "customer.complaint.not.exists");
    ErrorCode CUSTOMER_FOLLOW_NOT_EXISTS = new ErrorCode(1004002011, "customer.follow.not.exists");

    ErrorCode CUSTOMER_COMMISSION_NOT_EXISTS = new ErrorCode(1004002012, "customer.commission.not.exists");
    ErrorCode CUSTOMER_COMMISSION_INFO_NOT_EXISTS = new ErrorCode(1004002013, "customer.commission.info.not.exists");

    ErrorCode CUSTOMER_COMMISSION_EXISTS = new ErrorCode(1004002014, "customer.commission.exists");
    ErrorCode CUSTOMER_SERVICE_COMMISSION_EXISTS = new ErrorCode(1004002015, "customer.referrer.commission.already.exists");


    ErrorCode CUSTOMER_CONTACTS_USERID_ALREADY_BIND = new ErrorCode(1004002016, "customer.contact.already.binding.others");



    ErrorCode MESSAGE_LEAVE_NOT_EXISTS = new ErrorCode(1004002020, "message.leave.not.exists");

    ErrorCode COUNTRY_NOT_EXISTS = new ErrorCode(1004002025, "country.not.exists");

    ErrorCode PRODUCT_PRICE_NOT_EXISTS = new ErrorCode(1004005001, "product.price.not.exists");
    ErrorCode SHELF_NOT_EXISTS = new ErrorCode(1004005002, "shelf.not.exists");
    ErrorCode BUSI_PWD_NOT_EXISTS = new ErrorCode(1004005003, "busi.pwd.not.exists");
    ErrorCode BUSI_PWD_TYPE_MUST_ONE = new ErrorCode(1004005003, "busi.pwd.type.must.one");

    ErrorCode INTERNAL_MESSAGE_NOT_EXISTS = new ErrorCode(1004005004, "internal.message.not.exists");

    ErrorCode INTERNAL_MESSAGE_TO_NOT_EXISTS = new ErrorCode(1004005005, "internal.message.to.not.exists");


    ErrorCode LADING_TEMPLATE_NOT_EXISTS = new ErrorCode(1004006001, "lading.template.not.exists");

    ErrorCode WAREHOUSE_AREA_NOT_EXISTS = new ErrorCode(1004006002, "warehouse.area.not.exists");
    ErrorCode WAREHOUSE_AREA_POSITION_NOT_EXISTS = new ErrorCode(1004006003, "warehouse.area.position.not.exists");

    ErrorCode ADMIN_CLIENT_TYPE_NOT_EXISTS = new ErrorCode(1004006004, "admin.client.type.not.exists");

    ErrorCode ADMIN_CLIENT_NOT_EXISTS = new ErrorCode(1004006005, "admin.client.not.exists");

    ErrorCode ADMIN_CLIENTA_NOT_EXISTS = new ErrorCode(1004006006, "admin.clienta.not.exists");

    ErrorCode ADMIN_CLIENTA_TYPE_NOT_EXISTS = new ErrorCode(1004006007, "admin.clienta.type.not.exists");


    ErrorCode CUSTOMER_CONTACTS_PHONE_FORMAT_ERROR = new ErrorCode(1004006008, "customer.contacts.phone.format.error");
    ErrorCode REGION_LABEL_CODE_NOT_NULL = new ErrorCode(1004006009, "region.label.code.not.null");
    ErrorCode REGION_LABEL_CODE_COUNTRY_AND_CITY_AND_AIR_COUNTRY = new ErrorCode(1004006010, "region.label.code.country.and.city.and.air.country");
    ErrorCode ESTIMATE_ENTER_OPEN_SEA_TIME_NOT_NULL = new ErrorCode(1004006011, "estimate.enter.open.sea.time.not.null");
    ErrorCode ESTIMATE_ENTER_OPEN_SEA_TIME_DELAY_TRANSFINITE = new ErrorCode(1004006012, "estimate.enter.open.sea.time.delay.transfinite");
    ErrorCode CUSTOMER_APPROVAL_STATUS_NOT_CORRECT = new ErrorCode(1004006013, "customer.approval.status.not.correct");
    ErrorCode CUSTOMER_APPROVAL_FORM_ID_NOT_EXISTS = new ErrorCode(1004006014, "customer.approval.form.id.not.exists");
    ErrorCode CUSTOMER_APPROVAL_INFO_NOT_FIND = new ErrorCode(1004006015, "customer.approval.info.not.find");
    ErrorCode CUSTOMER_HAS_IN_OPEN_SEA = new ErrorCode(1004006016, "customer.has.in.open.sea");

    ErrorCode OPEN_SEA_CUSTOMER_CANNOT_SET_AIR = new ErrorCode(1004006017, "open.sea.customer.cannot.set.air");


    ErrorCode CUSTOMER_CATCH_COUNTS_LIMIT_OF_DAY = new ErrorCode(1004006018, "customer.catch.counts.limit.of.day");
    ErrorCode CUSTOMER_CATCH_COUNTS_LIMIT_OF_MONTH = new ErrorCode(1004006019, "customer.catch.counts.limit.of.month");


    ErrorCode MOBILE_FORMAT_ERROR = new ErrorCode(1004006020, "app.auth.mobile.format.err");

    ErrorCode CUSTOMER_IN_OPEN_SEA_CANNOT_BE_HANDOVER = new ErrorCode(1004006021, "customer.in.open.sea.cannot.be.handover");

    ErrorCode MOBILE_CODE_NOT_NULL = new ErrorCode(1004006022, "mobile.code.not.null");
    ErrorCode MOBILE_NOT_NULL = new ErrorCode(1004006023, "mobile.not.null");


    ErrorCode CUSTOMER_CONTACTS_ALREADY_BIND = new ErrorCode(1004006024, "customer.contacts.already.bind");

    ErrorCode CUSTOMER_CONTACTS_PHONE_REPEATED = new ErrorCode(1004006025, "customer.contacts.phone.repeated");


    ErrorCode CUSTOMER_CANNOT_DELAY_APPROVAL_WITH_NO_CUSTOMER_SERVICE = new ErrorCode(1004006026, "customer.cannot.delay.approval.with.no.customer.service");
    ErrorCode CUSTOMER_CANNOT_DELAY_APPROVAL_WITH_CUSTOMER_SERVICE_UNCONFIRMED = new ErrorCode(1004006027, "customer.cannot.delay.approval.with.customer.service.unconfirmed");

    ErrorCode CUSTOMER_CANNOT_DELAY_APPROVAL_WITH_NO_ENTER_OPEN_SEA_TIME = new ErrorCode(1004006028, "customer.cannot.delay.approval.with.no.enter.open.sea.time");

    ErrorCode EXCHANGE_RATE_NOT_EXISTS = new ErrorCode(1004006029, "currency.rate.not.exists");
    ErrorCode CURRENCY_RATE_NOT_EXISTS = new ErrorCode(1004006029, "currency.rate.not.exists");
    ErrorCode EXCHANGE_RATE_LOG_NOT_EXISTS = new ErrorCode(1004006030, "汇率变更日志不存在");

    ErrorCode EXCHANGE_RATE_EXISTS = new ErrorCode(1004006031, "currency.rate.exists");
    ErrorCode CURRENCY_RATE_EXISTS = new ErrorCode(1004006031, "currency.rate.exists");
    ErrorCode EXCHANGE_RATE_EXPIRE = new ErrorCode(1004006032, "currency.rate.disable");
    ErrorCode CURRENCY_RATE_EXPIRED = new ErrorCode(1004006032, "currency.rate.disable");
    ErrorCode EXCHANGE_RATE_NOT_EXISTS_PARAM = new ErrorCode(1004006033, "currency.rate.to.not.exists");


    ErrorCode HANDOVER_CUSTOMER_NOT_NULL = new ErrorCode(1004006029, "handover.customer.not.null");

    ErrorCode HANDOVER_CUSTOMER_SERVICE_DEPT_NOT_NULL = new ErrorCode(1004006030, "handover.customer.service.dept.not.null");

    ErrorCode HANDOVER_CUSTOMER_APPROVING = new ErrorCode(1004006031, "handover.customer.approving");

    ErrorCode OPEN_SEA_CUSTOMER_CANNOT_SET_FCL = new ErrorCode(1004006032, "open.sea.customer.cannot.set.fcl");

    ErrorCode HANDOVER_CUSTOMER_UNCONFIRMED = new ErrorCode(1004006033, "handover.customer.unconfirmed");


    ErrorCode CUSTOMER_CANNOT_BE_RECYCLED = new ErrorCode(1004006034, "customer.cannot.be.recycled");

    ErrorCode PARAMETER_NOT_CUSTOMER_SERVICE = new ErrorCode(1004006035, "parameter.not.customer.service");

    ErrorCode CUSTOMER_IS_NEW_OR_OLD_NO_CHANGE = new ErrorCode(1004006036, "customer.is.new.or.old.no.change");

    ErrorCode CUSTOMER_DELAY_APPROVAL_MORE_THEN_ONE =  new ErrorCode (1004006037,"customer.delay.approval.times.more.then.one") ;


    ErrorCode CUSTOMER_SAVED_NOT_EXISTS = new ErrorCode(1004006038, "customer.saved.not.exists");
    ErrorCode CUSTOMER_DELETED_NOT_EXISTS = new ErrorCode(1004006039, "customer.deleted.not.exists");

    ErrorCode CUSTOMER_SAVED_CUSTOMER_SERVICE_IS_NULL = new ErrorCode(1004006040, "customer.saved.customer.service.is.null");
    ErrorCode CUSTOMER_DELETED_CUSTOMER_SERVICE_IS_NULL = new ErrorCode(1004006041, "customer.deleted.customer.service.is.null");

    ErrorCode CUSTOMER_MERGE_CUSTOMER_SERVICE_NOT_SAME = new ErrorCode(1004006042, "customer.merge.customer.service.not.same");


    ErrorCode CUSTOMER_APPROVAL_IN_PROCESSING = new ErrorCode(1004006043, "customer.approval.in.processing");
    ErrorCode AREA_CODE_NOT_NULL = new ErrorCode(1004006044, "area.code.not.null");
    ErrorCode CURRENCY_ID_NOT_NULL = new ErrorCode(1004006045, "currency.id.not.null");

    ErrorCode CURRENCY_RATE_COUNTRIES_INVALID = new ErrorCode(1004006055, "currency.rate.countries.invalid");
    ErrorCode CURRENCY_RATE_PAIR_INVALID = new ErrorCode(1004006056, "currency.rate.pair.invalid");
    ErrorCode CURRENCY_RATE_AMOUNT_INVALID = new ErrorCode(1004006057, "currency.rate.amount.invalid");
    ErrorCode CURRENCY_RATE_TOO_SMALL = new ErrorCode(1004006059, "currency.rate.too.small");
}

