package cn.iocoder.yudao.module.ecw.vo.currencyRate;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDate;
import java.util.Collection;
import java.util.List;
import java.util.Set;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY;

@Data
@ApiModel("管理后台 - 货币汇率查询 VO")
public class CurrencyRateQueryParamVO extends PageParam {
    @ApiModelProperty(value = "原币种")
    private Long sourceId;

    @ApiModelProperty(value = "支付币种")
    private Long targetId;

    @ApiModelProperty(value = "国家(最多五个)")
//    @Length(max = 5)
    private List<Long> countries;

    @ApiModelProperty(value = "状态")
    private Boolean expired;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY)
    @ApiModelProperty(value = "有效期大于")
    private LocalDate expirationAfter;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY)
    @ApiModelProperty(value = "有效期小于")
    private LocalDate expirationBefore;
}
