package cn.iocoder.yudao.module.ecw.vo.currencyRate;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.time.LocalDate;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY;

@Data
@ApiModel("管理后台 - 货币汇率更新 Request VO")
public class CurrencyRateUpdateReqVO {
    @ApiModelProperty(value = "原币种金额", required = true)
    @NotNull(message = "原币种不能为空")
    @Min(0)
    private BigDecimal sourceAmount;

    @ApiModelProperty(value = "支付币种", required = true)
    @NotNull(message = "支付币种不能为空")
    @Min(0)
    private BigDecimal targetAmount;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY)
    @ApiModelProperty(value = "汇率有效截止日期")
    private LocalDate expiration;

    @ApiModelProperty(value = "备注")
    private String remarks;
}
